I have this code from some website that will convert text to mtext in autocad. The only problem with it is after it converts the text it places the text in weird locations on the drawing sometimes just a little lower sometimes it the middle of the drawing i need it to place the Mtext in the exact position of the old text. Any ideas? Thank you.

[vba]
Sub ad_ConvertText()
Dim adEntity As AcadObject
Dim adNewMText As AcadMText
Dim adNewText As AcadText
Dim basePnt As Variant
Dim holdStr As String
Dim adselected As Boolean
Dim txtH As Variant
'One of the things you will probably need to address is the Justification
' of the converted text entity. MText uses the AttachmentPoint property
' while Text uses the Alignment property. We demonstrate how to set this
' property, but it will be left to you to implement the conversion for
' the new entity.
On Error Resume Next
adselected = True
Do While adselected = True
Set adEntity = Nothing
ThisDrawing.Utility.GetEntity adEntity, basePnt, "Pick MText Entity>> "
holdStr = adEntity.textString
txtH = adEntity.Height
If adEntity.ObjectName = "AcDbMText" Then
'This call is used to remove MText formatting from the string
If InStr(holdStr, "\P") Then holdStr = replaceStr(holdStr, "\P", " ", False)
Set adNewText = ThisDrawing.ModelSpace.AddText(holdStr, adEntity.insertionPoint, adEntity.Height)
adNewText.Alignment = acAlignmentLeft
adNewText.Update
ElseIf adEntity.ObjectName = "AcDbText" Then
Set adNewMText = ThisDrawing.ModelSpace.AddMText(adEntity.insertionPoint, Len(holdStr), holdStr)
adNewMText.AttachmentPoint = acAttachmentPointTopLeft
adNewMText.Height = txtH
adNewMText.Update
adEntity.Delete
End If
If adEntity Is Nothing Then Exit Sub
Loop
End Sub
[/vba]